Subject: Re: Nedit freezes up
From: [email-masked] (Paul Poffenberger)

20 May 1998 10:31:22 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: GNU Win32 <[email-masked]>
Cc: [email-masked], [email-masked]

On Sun, 17 May 1998, GNU Win32 wrote:

> Hi,
> 
> > 
> > I've installed Mumit Khan's EGCS 1.02 beta 19 
> > binaries for NT 4.0, 
> 
> SP3?
> 
> > along with the X11 binaries from
> > Arlindo da Silva's site and the MicroImages X server.
> > This all works very well, but to do any useful
> > work in this environment, I need a working X editor.
> > I downloaded the binary for Nedit-5.0.1 from Valery 
> > Tulnikov's site, but have not been able to make
> > it work correctly.  I can start the editor, open
> > files into it, cut and paste with it, and write
> > text into the menu items, but the moment I strike
> > any key on the keyboard with the cursor in the
> > text area (ie, try to actually write some text...), 
> > my entire X session freezes up. The only way out 
> > is to iconize the X server window and kill the 
> > Nedit session from a normal NT window.  If anyone 
> > has any idea what's causing this, and how I can fix 
> > it, I'd be very pleased to hear.  It's frustrating 
> > to be so close to a very useful work platform...
> > 
> 
> This is strange, I use nedit (from Valery's site) quite often 
> and haven't experienced this problem. A few questions:
> 
> 1) Are you using the lastest cygwinb19.dll from Sergey's site
>    (http://www.lexa.ru/sos)?
>
> 2) Do you have valid /etc/passwd and /etc/group files?
>    You can use mkpasswd (on NT only) to create these, e.g.,
> 
>    mkpasswd -l > /etc/passwd
>    mkpasswd -g > /etc/group
> 
> 3) Have you tried another X server, say x-win32 from Starnet?
> 
> 
> I have to admit that I get occasional SIGSEGVs but I have
> no problems creating and saving files.
> 
> -- 
> Arlindo da Silva    
> [email-masked]
> 

Hi Arlindo,

Yes, I'm using Sergey's cygwinb19, and I have /etc/passwd 
and /etc/group files.  I do actually have Starnet on my
system, but it's a licenced copy that seems to have a hardcoded 
limitation that it will only accept connections from my 
University's ip address.  At Sergey's suggestion, I downloaded
the source for Nedit and built it on my own machine, but
the problem persists.  However, on a more positive note,
while fetching the source for nedit I also found the source
for aXe, which I managed to build with little difficulty,
and which DOES work fine.  The mystery regarding why nedit
doesn't work on my system will, for now at least, probably
remain a mystery.  In the mean time, I'm quite happy with
aXe; it's the editor I'm more accustomed to anyway.

Best Regards, Paul

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".